import { useState } from "react";
import Modal from "react-modal";
import css from "@styles/pages/Partner.module.scss";

const PublicOfferContract = () => {
  const [modalIsOpen, setIsOpen] = useState(false);

  function openModal() {
    setIsOpen(true);
  }

  function closeModal() {
    setIsOpen(false);
  }

  let customStyles = {
    overlay: {
      backgroundColor: "rgba(0, 0, 0, 0.85)",
    },
    content: {
      top: "50%",
      left: "50%",
      right: "auto",
      bottom: "auto",
      marginTop: "0",
      marginRight: "-50%",
      transform: "translate(-50%, -50%)",
      border: "none",
      background: "#fff",
      padding: "25px 30px",
      maxWidth: "970px",
    },
  };

  return (
    <div>
      <a href="#" onClick={openModal}>
        договором
      </a>
      <Modal
        className={css.partner__publicOfferModal}
        isOpen={modalIsOpen}
        onRequestClose={closeModal}
        style={customStyles}
      >
        <span className={css.partner__closeModal} onClick={closeModal}></span>
        <div className={css.partner__publicOfferWrapper}>
          <div className={css.partner__publicOffer_header}>
            <h2>Публичная оферта договор с партнерами</h2>
            <div className={css.partner__publicOffer_headerDate}>
              <span>г. Таллин</span>
              <span>«01» февраля 2021 г.</span>
            </div>
            <p>
              Данный документ является официальным предложением (далее –
              Соглашение) от лица FlyWert, любому юридическому или физическому
              лицу/индивидуальному предпринимателю (далее – Партнер) заключить
              соглашение, на следующих условиях:
            </p>
          </div>
          <div className={css.partner__publicOffer_main}>
            <div className={css.partner__publicOffer_item}>
              <h2>1. Общие положения</h2>
              <p>
                1.1. Партнер обязуется предоставить FlyWert купоны на
                скидку/промокоды (количество и размер скидок/промокодов
                устанавливается Партнером самостоятельно), которые будут
                предоставляться клиентам FlyWert при участии в розыгрыше на
                сайте flywert.com.
              </p>
              <p>
                1.2. Купон на скидку/промокод может использоваться только один
                раз и действует до окончания срока Соглашения (п. 5.1
                Соглашения).
              </p>
            </div>

            <div className={css.partner__publicOffer_item}>
              <h2>2. Обязательства Сторон</h2>
              <p>2.1. Партнер обязан:</p>
              <p>2.1.1. Предоставить купоны на скидку/промокоды.</p>
              <p>
                2.1.2. Оказать качественные услуги 3-ему лицу (клиенту FlyWert).
              </p>
              <p>
                2.1.3. Произвести расчет стоимости услуги, оказываемые 3-е лицу
                (клиенту FlyWert) с учетов скидки, при предъявлении последним
                купона (промокода).
              </p>
              <p>
                2.1.4. В случает закрытия (банкротства, ликвидации) организации
                Партнера обязуется уведомить FlyWert в срок указанный в п. 5.2
                Соглашения.
              </p>
              <p>
                2.1.5. Партнер обязуется возместить убытки FlyWert в случае не
                исполнения п. 2.1.2. и 5.2. Соглашения.
              </p>
              <p>
                2.1.6. В случает расторжения Соглашения в соответствии с п.
                5.2., Партнер обязуется оказать услуги по купону/промокоду, в
                случае если данный купон выдан до извещения о расторжении.
              </p>
              <p>2.2. FlyWert обязан:</p>

              <p>
                2.2.1. Предоставлять купоны на скидку/промокоды только клиентам,
                участвующим в розыгрыше на сайте flywert.com.
              </p>
              <p>
                2.2.2. Производить рекламу Партнера в пределах и способами,
                которые FlyWert посчитает наиболее действиными.
              </p>
            </div>

            <div className={css.partner__publicOffer_item}>
              <h2>3. Ответственность Сторон и форс-мажорные обстоятельства</h2>
              <p>
                3.1. За неисполнение или ненадлежащее исполнение обязательств по
                настоящему Договору Стороны несут ответственность,
                предусмотренную действующим законодательством.
              </p>
              <p>
                3.2. Стороны освобождаются от ответственности за частичное или
                полное неисполнение обязательств по настоящему Соглашению, если
                это неисполнение явилось следствием обстоятельств непреодолимой
                силы, возникших после заключения настоящего Соглашения в
                результате обстоятельств чрезвычайного характера, которые
                Стороны не могли предвидеть или предотвратить.
              </p>
              <p>
                3.3. FlyWert не несет ответственность в случае получения
                Партнером от 3-его лица купона сомнительного качества
                (подделки).
              </p>
            </div>

            <div className={css.partner__publicOffer_item}>
              <h2>4. Разрешение споров</h2>
              <p>
                4.1. Все споры и разногласия, которые могут возникнуть при
                исполнении условий настоящего Соглашения, Стороны будут
                стремиться разрешать путем переговоров.
              </p>
              <p>
                4.2. Споры, не урегулированные путем переговоров, разрешаются в
                судебном порядке, установленном действующим законодательством
                Эстонской Республики.
              </p>
            </div>

            <div className={css.partner__publicOffer_item}>
              <h2>5. Срок действия Соглашения и порядок расторжения</h2>
              <p>
                5.1. Настоящий Соглашение вступает в силу с момента акцепта
                Партнера и действует в течение 3-х (трех) месяцев.
              </p>
              <p>
                5.2. В случае расторжения Соглашения Партнер обязуется уведомить
                FlyWert за 14 дней.
              </p>
              <p>
                5.3. Продление Соглашения производится автоматически на тот же
                период согласно п. 5.1. соглашения.
              </p>
              <p>
                5.4. FlyWert имеет право расторгнуть соглашение в любой момент
                без объяснения причины, известив Партнера о расторжении.
              </p>
            </div>

            <div className={css.partner__publicOffer_item}>
              <h2>6. Заключительные положения</h2>
              <p>
                6.1. Все изменения и дополнения к настоящему Соглашению должны
                быть совершены в письменной форме и подписаны уполномоченными
                представителями Сторон.
              </p>
              <p>
                6.2. Ни одна из Сторон не вправе передавать свои права и
                обязанности по настоящему Договору третьим лицам без письменного
                согласия другой Стороны.
              </p>
            </div>
          </div>
          <div className={css.partner__publicOffer_footer}>
            <div className={css.partner__dataPartner}>
              <div>
                FlyWert <br />
                Адрес: Tὄὄstuse 48-116 <br />
                Tallinn Harjumaa 10416 <br />
                Рег. Номер: 16080573 <br />
                Счет: LT043500010010383035 <br />
                SWIFT: EVIULT2VXXX <br />
                Название банка: Paysera LT, UAB <br />
                Адрес банка: Pilaitės pr. 16, Vilnius, <br />
                LT-04352, Lithuania
              </div>
              <div></div>
            </div>
            <h3>
              Настоящая публичная оферта договора с партнерами не требует
              подписи и имеет юридическую силу, аналогичную любому договору,
              заключенному в письменной форме.
            </h3>
          </div>
        </div>
      </Modal>
    </div>
  );
};

export default PublicOfferContract;
